org.keycloak.userprofile

## Class UserProfileAttributes

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<String,List<String>>
    - - org.keycloak.userprofile.UserProfileAttributes

- All Implemented Interfaces:
    Serializable, Cloneable, Map<String,List<String>>

      public class UserProfileAttributes
      extends HashMap<String,List<String>>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserProfileAttributes(Map<String,List<String>> attribtues)`
    `UserProfileAttributes(Map<String,List<String>> attribtues, UserProfileProvider profileProvider)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getAttribute(String key)`
    `String` | `getFirstAttribute(String key)`
    `boolean` | `isReadOnlyAttribute(String key)`
    `void` | `removeAttribute(String attr)`
    `void` | `setAttribute(String key, List<String> value)`
    `void` | `setSingleAttribute(String key, String value)`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### UserProfileAttributes

          public UserProfileAttributes(Map<String,List<String>> attribtues,
                                       UserProfileProvider profileProvider)

    - #### UserProfileAttributes

          public UserProfileAttributes(Map<String,List<String>> attribtues)

  - ### Method Detail

    - #### setAttribute

          public void setAttribute(String key,
                                   List<String> value)

    - #### setSingleAttribute

          public void setSingleAttribute(String key,
                                         String value)

    - #### getFirstAttribute

          public String getFirstAttribute(String key)

    - #### getAttribute

          public List<String> getAttribute(String key)

    - #### removeAttribute

          public void removeAttribute(String attr)

    - #### isReadOnlyAttribute

          public boolean isReadOnlyAttribute(String key)

Copyright © 2021 JBoss by Red Hat. All rights reserved.